{{ ansible_managed|comment }}

node.name: {{ ansible_hostname }}
node.roles:
{% for rec in es_roles %}
    - {{ rec }}
{% endfor %}
network.host: 0.0.0.0
http.port: {{ es_port|default('9200') }}
cluster.name: {{ es_clustername|default('elastic-cluster') }}
{% if es_master_initials is defined%}
cluster.initial_master_nodes:
{% for host in es_master_initials_nodes %}
    - {{ host }}
{% endfor %}
{% endif %}
discovery.seed_hosts:
{% for host in es_discovery_hosts %}
    - {{ host }}
{% endfor %}

path.data: {{ es_data_dir }}
path.logs: {{ es_log_dir }}

xpack.security.enabled: {{ xpack_security_enabled|default('false' )}}
xpack.security.transport.ssl.enabled: {{ xpack_security_transport_ssl_enabled | default('false') }}
xpack.security.transport.ssl.verification_mode: {{ xpack_security_transport_ssl_verification_mode | default('certificate')}}
xpack.security.transport.ssl.client_authentication: required
xpack.security.transport.ssl.keystore.path: elastic-certificates.p12
xpack.security.transport.ssl.truststore.path: elastic-certificates.p12
xpack.security.http.ssl.keystore.path: http.p12
xpack.monitoring.collection.enabled: {{xpack_monitoring_collection_enabled|default('false')}}



{##}
{#xpack.security.transport.ssl.key: {{xpack_security_transport_ssl_key | default('/etc/elasticsearch/config/instance/client.key')}}#}
{#xpack.security.transport.ssl.certificate: {{xpack_security_transport_ssl_certificate | default('/etc/elasticsearch/config/instance/client.crt')}}#}
{#xpack.security.transport.ssl.certificate_authorities: [{{xpack_security_transport_ssl_certificate_authorities | default('"/etc/elasticsearch/config/certs/ca.crt"')}}]#}
{#xpack.security.http.ssl.enabled: {{xpack_security_http_ssl_enabled | default('false')}}#}
{#xpack.security.http.ssl.key: {{xpack_security_http_ssl_key | default('/etc/elasticsearch/config/instance/client.key')}}#}
{#xpack.security.http.ssl.certificate: {{xpack_security_http_ssl_certificate | default('/etc/elasticsearch/config/instance/client.crt')}}#}
{#xpack.security.http.ssl.certificate_authorities: [{{xpack_security_http_ssl_certificate_authorities | default('"/etc/elasticsearch/config/certs/ca.crt"')}}]#}
{#xpack.security.http.ssl.verification_mode: {{xpack_security_http_ssl_verification_mode | default('certificate')}}#}
{##}
{##}
{#xpack.monitoring.collection.enabled: {{xpack_monitoring_collection_enabled|default('false')}}#}
{#xpack.security.enabled: {{xpack_security_enabled|default('false')}}#}
{#xpack.security.transport.ssl.enabled: {{xpack_security_transport_ssl_enabled | default('false')}}#}
{#xpack.security.transport.ssl.verification_mode: {{xpack_security_transport_ssl_verification_mode | default('certificate')}}#}
{#xpack.security.transport.ssl.key: {{xpack_security_transport_ssl_key | default('/etc/elasticsearch/config/instance/client.key')}}#}
{#xpack.security.transport.ssl.certificate: {{xpack_security_transport_ssl_certificate | default('/etc/elasticsearch/config/instance/client.crt')}}#}
{#xpack.security.transport.ssl.certificate_authorities: [{{xpack_security_transport_ssl_certificate_authorities | default('"/etc/elasticsearch/config/certs/ca.crt"')}}]#}
{#xpack.security.http.ssl.enabled: {{xpack_security_http_ssl_enabled | default('false')}}#}
{#xpack.security.http.ssl.key: {{xpack_security_http_ssl_key | default('/etc/elasticsearch/config/instance/client.key')}}#}
{#xpack.security.http.ssl.certificate: {{xpack_security_http_ssl_certificate | default('/etc/elasticsearch/config/instance/client.crt')}}#}
{#xpack.security.http.ssl.certificate_authorities: [{{xpack_security_http_ssl_certificate_authorities | default('"/etc/elasticsearch/config/certs/ca.crt"')}}]#}
{#xpack.security.http.ssl.verification_mode: {{xpack_security_http_ssl_verification_mode | default('certificate')}}#}
{##}
